#ifndef TELEMETRY_H
#define TELEMETRY_H

#include "../libraries/scs-sdk/include/scssdk.h"

struct TelemetryState
{
    scs_timestamp_t timestamp = 0;
//    int time_delta = 0;
//    scs_timestamp_t raw_rendering_timestamp;
//    scs_timestamp_t raw_simulation_timestamp;
//    scs_timestamp_t raw_paused_simulation_timestamp;

    bool	orientation_available = false;
    float	heading = 0;
    float	pitch = 0;
    float	roll = 0;

    float	speed = 0;
    float	rpm = 0;
    int     gear = 0;
    double  distance = 0;

};

//enum GameplayEvent
//{

//};

#endif // TELEMETRY_H
